Subject: 24.3.50; `current-active-maps' misses bindings (?)
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Thu, 7 Nov 2013 12:43:07 -0800 (PST)
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q

(defun foo () (interactive) (message "FOOOOOOOOOOOO"))
(global-set-key [(control meta shift ?u)] 'foo)
(current-active-maps t)

Evaluate all of those, the last one, at least, using `pp-eval-last-sexp'.

C-h f foo RET shows that `foo' is bound to `C-M-S-u' (aka `C-M-U').

Search for `foo' in *Pp Eval Output*.  It's not there.  Shouldn't it be?

The doc for `current-active-maps' leads me to believe that `foo's
binding should be included.  Am I missing something, or is this a bug?

Same thing for `(current-active-maps)', i.e., without any arg.

If I am misunderstanding, what is a way to get all of the currently
active bindings, i.e., what I have been expecting from
`current-active-maps'?

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-10-19 on LEG570
Bzr revision: 114715 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking 'CFLAGS=-O0 -g3' CPPFLAGS=-DGLYPH_DEBUG=1'